package de.cscherr.aviation;

/** represents a flight from pne airport to another
 *
 * This class also contains the main method of the program.
 *
 */
public class Flight {

    /** model of the airplan
     *
     */
    private String flugzeugModell;
    /** registration of the airplane
     *
     */
    private String flugzeugRegistrierung;
    /** which airline the Flight belongs to
     *
     */
    private String airline;
    /** unique identifier of the Flight
     *
     */
    private String flugnummer;
    /** where the plane started
     *
     */
    private Airport abflughafen;
    /** where the plane landed
     *
     */
    private Airport zielflughafen;

    /** create a new flight
     * @param flugzeug_modell
     * @param flugzeugRegistrierung
     * @param airline
     * @param flugnummer
     * @param abflughafen
     * @param zielflughafen
     */
    public Flight(
            String flugzeug_modell,
            String flugzeugRegistrierung,
            String airline,
            String flugnummer,
            Airport abflughafen,
            Airport zielflughafen) {
        this.flugzeugModell = flugzeug_modell;
        this.flugzeugRegistrierung = flugzeugRegistrierung;
        this.airline = airline;
        this.flugnummer = flugnummer;
        this.abflughafen = abflughafen;
        this.zielflughafen = zielflughafen;
    }

    /** main method of the package
     * @param args
     */
    public static void main(String[] args) {
        System.out.println("Hello world!");
    }

    /** get flugzeugModell
     * @return flugzeugModell
     */
    public String getFlugzeugModell() {
        return flugzeugModell;
    }

    /** set flugzeugModell
     * @param flugzeugModell
     */
    public void setFlugzeugModell(String flugzeugModell) {
        this.flugzeugModell = flugzeugModell;
    }

    /** get FlugzeugRegistrierung
     * @return FlugzeugRegistrierung
     */
    public String getFlugzeugRegistrierung() {
        return flugzeugRegistrierung;
    }

    /** set flugzeugRegistrierung
     * @param flugzeugRegistrierung
     */
    public void setFlugzeugRegistrierung(String flugzeugRegistrierung) {
        this.flugzeugRegistrierung = flugzeugRegistrierung;
    }

    /** get airline
     * @return airline
     */
    public String getAirline() {
        return airline;
    }

    /** set airline
     * @param airline
     */
    public void setAirline(String airline) {
        this.airline = airline;
    }

    /** get flugnummer
     * @return flugnummer
     */
    public String getFlugnummer() {
        return flugnummer;
    }

    /** set flugnummer
     * @param flugnummer
     */
    public void setFlugnummer(String flugnummer) {
        this.flugnummer = flugnummer;
    }

    /** get abflughafen
     * @return abflughafen
     */
    public Airport getAbflughafen() {
        return abflughafen;
    }

    /** set abflughafen
     * @param abflughafen
     */
    public void setAbflughafen(Airport abflughafen) {
        this.abflughafen = abflughafen;
    }

    /** get zielflughafen
     * @return zielflughafen
     */
    public Airport getZielflughafen() {
        return zielflughafen;
    }

    /** set zielflughafen
     * @param zielflughafen
     */
    public void setZielflughafen(Airport zielflughafen) {
        this.zielflughafen = zielflughafen;
    }
}